#!/bin/bash -x

cpu_serial=0
gpu_serial=1
cpu_parallel=0
gpu_parallel=0
DPFP=0

module load cuda/6.5
module load openmpi

AMBERHOME=~/amber
export AMBERHOME
export LD_LIBRARY_PATH=$AMBERHOME/lib:$LD_LIBRARY_PATH
export PATH=$AMBERHOME/bin:$PATH

if [ -f exist.dat ]; then
echo "echo.dat"
fi

if [ $cpu_serial -eq 1 ]; then
echo "||| make pmemd"
cd $AMBERHOME
./configure gnu
cd $AMBERHOME/src/pmemd/src
make install
fi # cpu_serial

if [ $cpu_parallel -eq 1 ]; then
echo "||| make pmemd.MPI"
cd $AMBERHOME
./configure -mpi gnu
cd $AMBERHOME/src/pmemd/src
make parallel    
fi # cpu_parallel

if [ $gpu_serial -eq 1 ]; then
echo "||| make pmemd.cuda"
cd $AMBERHOME
./configure -cuda gnu
cd $AMBERHOME/src/pmemd/src
make cuda

if [ $DPFP -eq 1 ]; then
echo "||| make pmemd.cuda_DPFP"
cd $AMBERHOME
./configure -cuda_DPFP gnu
cd $AMBERHOME/src/pmemd/src
make cuda    
fi # DPFP
fi # gpu_serial

if [ $gpu_parallel -eq 1 ]; then
echo "||| make pmemd.cuda.MPI"
cd $AMBERHOME
./configure -cuda -mpi gnu
cd $AMBERHOME/src/pmemd/src
make cuda_parallel    

if [ $DPFP -eq 1 ]; then
echo "||| make pmemd.cuda_DPFP.MPI"
cd $AMBERHOME
./configure -cuda_DPFP -mpi gnu
cd $AMBERHOME/src/pmemd/src
make cuda_parallel    
fi # DPFP
fi # gpu_parallel

